kdeui Library: KEditListBox Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KEditListBox Class Reference

An editable listbox. More...

`#include <keditlistbox.h>`

Inheritance diagram for KEditListBox:

[legend]
Collaboration diagram for KEditListBox:

[legend]
List of all members.

## Public Types
enum | Button { Add = 1, Remove = 2, UpDown = 4 }
enum | { All = Add|Remove|UpDown }
## Signals
void | changed ()
void | added (const QString &text)
void | removed (const QString &text)
## Public Member Functions
| KEditListBox (QWidget *parent=0, const char *name=0, bool checkAtEntering=false, int buttons=All)
| KEditListBox (const QString &title, QWidget *parent=0, const char *name=0, bool checkAtEntering=false, int buttons=All)
| KEditListBox (const QString &title, const CustomEditor &customEditor, QWidget *parent=0, const char *name=0, bool checkAtEntering=false, int buttons=All)
QListBox * | listBox () const
KLineEdit * | lineEdit () const
QPushButton * | addButton () const
QPushButton * | removeButton () const
QPushButton * | upButton () const
QPushButton * | downButton () const
int | count () const
void | insertStringList (const QStringList &list, int index=-1)
void | insertStrList (const QStrList *list, int index=-1)
void | insertStrList (const QStrList &list, int index=-1)
void | insertStrList (const char **list, int numStrings=-1, int index=-1)
void | insertItem (const QString &text, int index=-1)
void | clear ()
QString | text (int index) const
int | currentItem () const
QString | currentText () const
QStringList | items () const
void | setItems (const QStringList &items)
int | buttons () const
void | setButtons (uint buttons)
## Protected Slots
void | moveItemUp ()
void | moveItemDown ()
void | addItem ()
void | removeItem ()
void | enableMoveButtons (int index)
void | typedSomething (const QString &text)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Properties
Button | buttons
QStringList | items
## Classes
class | CustomEditor
| Custom editor class. More...

## Detailed Description

An editable listbox.

This class provides a editable listbox ;-), this means a listbox which is accompanied by a line edit to enter new items into the listbox and pushbuttons to add and remove items from the listbox and two buttons to move items up and down.

KDE Edit List Box Widget

Definition at line 44 of file keditlistbox.h.

## Member Enumeration Documentation

enum KEditListBox::Button

| Enumeration of the buttons, the listbox offers. Specify them in the constructor in the buttons parameter, or in setButtons. Definition at line 94 of file keditlistbox.h.

## Constructor & Destructor Documentation

KEditListBox::KEditListBox | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | checkAtEntering = `false`,
|  | int | buttons = `All`
| ) |

| Create an editable listbox. If `checkAtEntering` is true, after every character you type in the line edit KEditListBox will enable or disable the Add-button, depending whether the current content of the line edit is already in the listbox. Maybe this can become a performance hit with large lists on slow machines. If `checkAtEntering` is false, it will be checked if you press the Add-button. It is not possible to enter items twice into the listbox. Definition at line 48 of file keditlistbox.cpp.

KEditListBox::KEditListBox | ( | const QString & | title,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | checkAtEntering = `false`,
|  | int | buttons = `All`
| ) |

| Create an editable listbox. The same as the other constructor, additionally it takes `title`, which will be the title of the frame around the listbox. Definition at line 55 of file keditlistbox.cpp.

KEditListBox::KEditListBox | ( | const QString & | title,
|  | const CustomEditor & | customEditor,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | checkAtEntering = `false`,
|  | int | buttons = `All`
| ) |

| Another constructor, which allows to use a custom editing widget instead of the standard KLineEdit widget. E.g. you can use a KURLRequester or a KComboBox as input widget. The custom editor must consist of a lineedit and optionally another widget that is used as representation. A KComboBox or a KURLRequester have a KLineEdit as child-widget for example, so the KComboBox is used as the representation widget. See also: KURLRequester::customEditor() Since: 3.1 Definition at line 62 of file keditlistbox.cpp.

## Member Function Documentation

QListBox* KEditListBox::listBox | ( |  | ) | const`[inline]`

| Return a pointer to the embedded QListBox. Definition at line 143 of file keditlistbox.h.

KLineEdit* KEditListBox::lineEdit | ( |  | ) | const`[inline]`

| Return a pointer to the embedded QLineEdit. Definition at line 147 of file keditlistbox.h.

QPushButton* KEditListBox::addButton | ( |  | ) | const`[inline]`

| Return a pointer to the Add button. Definition at line 151 of file keditlistbox.h.

QPushButton* KEditListBox::removeButton | ( |  | ) | const`[inline]`

| Return a pointer to the Remove button. Definition at line 155 of file keditlistbox.h.

QPushButton* KEditListBox::upButton | ( |  | ) | const`[inline]`

| Return a pointer to the Up button. Definition at line 159 of file keditlistbox.h.

QPushButton* KEditListBox::downButton | ( |  | ) | const`[inline]`

| Return a pointer to the Down button. Definition at line 163 of file keditlistbox.h.

int KEditListBox::count | ( |  | ) | const`[inline]`

| See QListBox::count(). Definition at line 168 of file keditlistbox.h.

void KEditListBox::insertStringList | ( | const QStringList & | list,
|  | int | index = `-1`
| ) |

| See QListBox::insertStringList(). Definition at line 363 of file keditlistbox.cpp. References QListBox::insertStringList().

void KEditListBox::insertStrList | ( | const QStrList * | list,
|  | int | index = `-1`
| ) |

| See QListBox::insertStringList(). Definition at line 368 of file keditlistbox.cpp. References QListBox::insertStrList().

void KEditListBox::insertStrList | ( | const QStrList & | list,
|  | int | index = `-1`
| ) |

| See QListBox::insertStrList(). Definition at line 373 of file keditlistbox.cpp. References QListBox::insertStrList().

void KEditListBox::insertStrList | ( | const char ** | list,
|  | int | numStrings = `-1`,
|  | int | index = `-1`
| ) |

| See QListBox::insertStrList(). Definition at line 378 of file keditlistbox.cpp. References QListBox::insertStrList().

void KEditListBox::insertItem | ( | const QString & | text,
|  | int | index = `-1`
| ) | `[inline]`

| See QListBox::insertItem(). Definition at line 188 of file keditlistbox.h.

void KEditListBox::clear | ( |  | ) |

| Clears both the listbox and the line edit. Definition at line 356 of file keditlistbox.cpp. References QListBox::clear(), and KLineEdit::clear().

QString KEditListBox::text | ( | int | index | ) | const`[inline]`

| See QListBox::text(). Definition at line 196 of file keditlistbox.h. References KAction::text.

int KEditListBox::currentItem | ( |  | ) | const

| See QListBox::currentItem(). Definition at line 293 of file keditlistbox.cpp. References QListBox::currentItem(), QListBox::isSelected(), and QListBox::item().

QString KEditListBox::currentText | ( |  | ) | const`[inline]`

| See QListBox::currentText(). Definition at line 204 of file keditlistbox.h.

QStringList KEditListBox::items | ( |  | ) | const

| Returns: a stringlist of all items in the listbox

void KEditListBox::setItems | ( | const QStringList & | items | ) |

| Clears the listbox and sets the contents to `items`. Since: 3.4 Definition at line 392 of file keditlistbox.cpp. References QListBox::clear(), and QListBox::insertStringList().

int KEditListBox::buttons | ( |  | ) | const

| Returns which buttons are visible.

void KEditListBox::setButtons | ( | uint | buttons | ) |

| Specifies which buttons should be visible. Definition at line 116 of file keditlistbox.cpp. References QGridLayout::addWidget().

void KEditListBox::added | ( | const QString & | text | ) | `[signal]`

| This signal is emitted when the user adds a new string to the list, the parameter is the added string. Since: 3.2

void KEditListBox::removed | ( | const QString & | text | ) | `[signal]`

| This signal is emitted when the user removes a string from the list, the parameter is the removed string. Since: 3.2

The documentation for this class was generated from the following files:

- keditlistbox.h
- keditlistbox.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:12 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003